package {{consumer_package_name}};

{{#is_dubbo_after_270}}
import org.apache.dubbo.config.annotation.Reference;
{{/is_dubbo_after_270}}
{{^is_dubbo_after_270}}
import com.alibaba.dubbo.config.annotation.Reference;
{{/is_dubbo_after_270}}
import {{interface_package_name}}.DemoService;

import org.springframework.stereotype.Component;

@Component("demoServiceComponent")
public class DemoServiceComponent implements DemoService {
    @Reference
    private DemoService demoService;

    @Override
    public String sayHello(String name) {
        return demoService.sayHello(name);
    }
}
