package {{provider_package_name}};

{{#is_annotation}}
{{#is_dubbo_after_270}}
import org.apache.dubbo.config.annotation.Service;
{{/is_dubbo_after_270}}
{{^is_dubbo_after_270}}
import com.alibaba.dubbo.config.annotation.Service;
{{/is_dubbo_after_270}}
{{/is_annotation}}
{{^is_annotation}}
{{#is_spring_boot}}
{{#is_dubbo_after_270}}
import org.apache.dubbo.config.annotation.Service;
{{/is_dubbo_after_270}}
{{^is_dubbo_after_270}}
import com.alibaba.dubbo.config.annotation.Service;
{{/is_dubbo_after_270}}
{{/is_spring_boot}}
{{/is_annotation}}
import {{interface_package_name}}.DemoService;
{{#is_dubbo_after_270}}
import org.apache.dubbo.rpc.RpcContext;
{{/is_dubbo_after_270}}
{{^is_dubbo_after_270}}
import com.alibaba.dubbo.rpc.RpcContext;
{{/is_dubbo_after_270}}
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

{{#is_annotation}}
{{#is_spring_boot}}
@Service(version = "1.0.0")
{{/is_spring_boot}}
{{^is_spring_boot}}
@Service
{{/is_spring_boot}}
{{/is_annotation}}
{{^is_annotation}}
{{#is_spring_boot}}
@Service(version = "1.0.0")
{{/is_spring_boot}}
{{/is_annotation}}
public class DemoServiceImpl implements DemoService {
    private static final Logger logger = LoggerFactory.getLogger(DemoServiceImpl.class);

    @Override
    public String sayHello(String name) {
        logger.info("Hello " + name + ", request from consumer: " + RpcContext.getContext().getRemoteAddress());
        return "Hello " + name + ", response from provider: " + RpcContext.getContext().getLocalAddress();
    }

}
